#
# spec file for package yast2-tune (Version 2.9.22)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  yast2-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils curl dejagnu doxygen expect gcc gdbm gettext libtool liby2util liby2util-devel openslp openslp-devel perl perl-XML-Writer perl-gettext  rpm tcl update-desktop-files yast2 yast2-core yast2-core-devel yast2-devtools yast2-packagemanager yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite suse-macros

Name:         yast2-tune
Version:      2.9.22
Release:      0.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-tune-2.9.22.tar.bz2
prefix:		/usr
Requires:     yast2 hdparm
Provides:     yast2-config-hwinfo yast2-tune-idedma yast2-trans-tune
Obsoletes:    yast2-config-hwinfo yast2-tune-idedma yast2-trans-tune
Provides:     yast2-trans-hwinfo yast2-trans-idedma y2c_tune y2t_tune yast2-config-tune
Obsoletes:    yast2-trans-hwinfo yast2-trans-idedma y2c_tune y2t_tune yast2-config-tune
Summary:      YaST2 - Hardware Tuning

%description
This package contains the YaST2 component for hardware configuration.



%prep
%setup -n yast2-tune-2.9.22

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
#g++32 can't support mtune parameter
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
CC=gcc32 CXX=g++32 ./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file ${d%.desktop}
done

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%ifnarch s390 s390x
#%{prefix}/share/applications/YaST2/idedma.desktop
%endif
%dir /usr/share/YaST2/include/hwinfo
%dir /usr/share/YaST2/include/idedma
/usr/share/YaST2/include/hwinfo/*
/usr/share/YaST2/include/idedma/*
/usr/share/YaST2/clients/*.ycp
%{prefix}/share/applications/YaST2/hwinfo.desktop
/usr/share/YaST2/modules/*.ycp
/usr/share/YaST2/modules/*.ybc
/usr/share/YaST2/scrconf/*.scr
%doc %{prefix}/share/doc/packages/yast2-tune

%changelog -n yast2-tune
* Mon Mar 12 2007 - wenji.huang@oracle.com
- Fit spec to RHEL/EL
* Tue May 25 2004 - lslezak@suse.cz
- don't show .boot_disk value (not reliable and works only on
  some i386 systems) (#40949)
- new subpath names (is_uml, redasd, block)
- version 2.9.22
* Tue May 04 2004 - lslezak@suse.cz
- merged proofread texts
- version 2.9.21
* Fri Apr 02 2004 - lslezak@suse.cz
- changed license to GPL
- version 2.9.20
* Fri Mar 26 2004 - lslezak@suse.cz
- added missing translation mark (#37063)
- use -i option in hdaprm call (#36565), testsuite update
- added missing import
- version 2.9.18
* Wed Mar 17 2004 - lslezak@suse.cz
- fixed monitor resolution
- type fixes
- don't loose data from probe agent
- enable save button (#36230)
- version 2.9.17
* Wed Mar 10 2004 - nashif@suse.de
- Adapted to new wizard
* Mon Mar 08 2004 - lslezak@suse.cz
- use Sequencer::
- set icon
- fixed ycphook in Makefile.am
- version 2.9.15
* Mon Mar 01 2004 - lslezak@suse.cz
- merged proofread texts
- typed lists and maps
- version 2.9.14
* Fri Feb 27 2004 - lslezak@suse.cz
- InitHWinfo - only [OK] button in details dialog (#34915)
- allow aborting during detection
- version 2.9.13
* Thu Feb 26 2004 - nashif@suse.de
- Changed proposal file name proposal_* to *_proposal
- 2.9.12
* Tue Feb 24 2004 - lslezak@suse.cz
- InitHWinfo - only [OK] button in HW summary dialog (#34915)
- version 2.9.11
* Tue Feb 17 2004 - lslezak@suse.cz
- NI fixes (removed globals)
- InitHWinfo: changed column order
* Tue Feb 17 2004 - lslezak@suse.cz
- InitHWinfo: use board and generation info for PPC architecture
- version 2.9.10
* Thu Feb 12 2004 - lslezak@suse.cz
- use new config file (/etc/sysconfig/ide)
- cfg_hardware.scr renamed to cfg_ide.scr (.sysconfig.ide path)
- testsuite update
- InitHWinfo: use String::FormatSizeWithPrecision function
- version 2.9.9
* Thu Feb 12 2004 - arvin@suse.de
- added type names for new udev and sysfs infos (bug #34355)
* Mon Feb 09 2004 - arvin@suse.de
- removed config files (*.y2cc)
* Fri Jan 30 2004 - lslezak@suse.cz
- fixes for new interpreter (data types)
- build fix (ycp hook, testsuite update)
- version 2.9.6
* Tue Jan 13 2004 - lslezak@suse.cz
- init_hwinfo - read system name (SMBIOS entry), NI fixes
- idedma - use Service:: module
- version 2.9.5
* Mon Dec 01 2003 - lslezak@suse.cz
- fixes for the new interpreter
- version 2.9.4
* Wed Nov 19 2003 - lslezak@suse.cz
- use UI:: file popup builtin
- version 2.9.3
* Thu Nov 13 2003 - lslezak@suse.cz
- syntax fixes for new interpreter (by jhumpol)
- command line UI
- autoinstallation support
- version 2.9.2
* Thu Oct 30 2003 - lslezak@suse.cz
- fixes for the new interpreter
- flush disc cache (sync) before DMA is enabled
- version 2.9.1
* Fri Oct 17 2003 - lslezak@suse.de
- added new 'initial hwnifo' module (new module in the
  installation proposal - show hardware information, allow saving
  hwinfo output to the file/floppy)
- hwinfo: fixed visualization of list with just one map
  item (#31144)
- more items returned by .probe agent are translated
- version 2.9.0
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Mon Sep 01 2003 - lslezak@suse.de
- added missing import
- ignore cdb_isdn path
- set focus to the tree widget
- version 2.8.5
* Mon Aug 25 2003 - lslezak@suse.cz
- removed "Initializing..." dialog in idedma module
- version 2.8.4
* Tue Aug 12 2003 - lslezak@suse.cz
- detect and configure ide-scsi devices correctly (#25640)
- updated testsuite
- version 2.8.3
* Mon Aug 11 2003 - lslezak@suse.de
- merged proofread texts
- version 2.8.2
* Fri Aug 08 2003 - lslezak@suse.de
- use Label:: and Popup:: modules
- fixed displaying of the warning message in idedma
- added .desktop files
- version 2.8.1
* Mon Jun 09 2003 - lslezak@suse.de
- fixed package build on s390
- removed obsoleted comments
- version 2.8.0
* Fri Mar 21 2003 - lslezak@suse.de
- hwinfo: save hwinfo output to the file (enh. #16771), use Wizard
  module, small fixes
* Mon Mar 03 2003 - lslezak@suse.de
- merged proof-read texts
- version 2.7.6
* Wed Feb 19 2003 - lslezak@suse.de
- hwinfo: increased size of progress window (#23791)
- idedma: added testsuites, start boot.idedma only if it's needed
- version 2.7.5
* Fri Feb 14 2003 - lslezak@suse.de
- edit DMA transfer mode
- use DEVICES_FORCE_IDE_DMA sysconfig variable
- documentation and testsuite update
- version 2.7.4
* Fri Feb 07 2003 - lslezak@suse.de
- don't probe for chipcards when X server is running
  (moves mouse cursor)
- updated class names (hwinfo 5.51)
- updated probe agent mapping (from path to translateable string)
- version 2.7.3
* Mon Feb 03 2003 - lslezak@suse.cz
- merged proof-read texts
- version 2.7.2
* Fri Jan 17 2003 - lslezak@suse.cz
- function keys in ncurses UI
- version 2.7.1
* Wed Dec 11 2002 - lslezak@suse.cz
- fixed CPU information (#22379)
- version 2.7.0
* Mon Sep 09 2002 - lslezak@suse.cz
- removed noarch architecture from spec file (required by %%ifnarch)
- version 2.6.14
* Mon Sep 09 2002 - lslezak@suse.cz
- exclude IDE DMA configuration from y2cc on S390
- version 2.6.13
* Fri Sep 06 2002 - lslezak@suse.cz
- provide/obsolete old packages
- version 2.6.12
* Mon Sep 02 2002 - lslezak@suse.cz
- version 2.6.11
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Mon Aug 19 2002 - lslezak@suse.cz
- added translation message "isapnp" -> _("ISA PnP")
- version 2.6.10
* Wed Aug 14 2002 - lslezak@suse.cz
- merged proofread texts
- version 2.6.9
* Sun Aug 11 2002 - mvidner@suse.cz
- Fix building (testsuite adapted to changes in yast2.rpm, due to #17608).
- 2.6.8
* Fri Aug 09 2002 - arvin@suse.de
- added some more translation texts
* Thu Aug 08 2002 - arvin@suse.de
- added string "Requires" to translate texts
* Wed Aug 07 2002 - lslezak@suse.de
- hwinfo: better check if X server is running
- idedma: fixed loading class database, fixed testsuite
- version 2.6.5
* Tue Aug 06 2002 - lslezak@suse.de
- added help texts for translators
- removed yast2-runlevel from Requires and #neededforbuild
- hwinfo: added new path descriptions for translation
- version 2.6.4
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Fri Jul 05 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Mon Jul 01 2002 - lslezak@suse.cz
- merged yast2-config-hwinfo and  yast2-tune-idedma packages to
  yast2-tune
- textdomains merged to "tune" textdomain
- version 2.6.1
* Tue Jun 25 2002 - lslezak@suse.cz
- fixed double CPU entry (#15905)
- version 2.6.0
* Wed Apr 10 2002 - lslezak@suse.cz
- SuSE-8_0-Branch merged to the head
* Tue Mar 05 2002 - dmeszar@suse.cz
- fixed #13284 (partially overlapped horizontal scrollbar)
* Fri Feb 22 2002 - dmeszar@suse.cz
- fixed #13661 (empty values)
* Mon Feb 18 2002 - dmeszar@suse.cz
- skip .probe.status
* Tue Feb 05 2002 - dmeszar@suse.cz
- shows 'modules' entry of some devices in more readable form
* Tue Dec 18 2001 - dmeszar@suse.cz
- 3rd param for 'select', fixed specfile
* Fri Nov 09 2001 - dmeszar@suse.cz
- changes due to new libycp implemented
* Mon Sep 10 2001 - dmeszar@suse.cz
- bug #10332 fixed (label for monitor)
* Wed Aug 08 2001 - dmeszar@suse.cz
- now arrows are used as a fallback for list items.
  each item should have reasonable label.
- documented & formated sources
* Tue Jul 31 2001 - dmeszar@suse.cz
- model or device_name (if presesnt) is used instead of arrows in lists
* Tue Jul 31 2001 - dmeszar@suse.cz
- more info on cpu added
* Mon Jul 30 2001 - dmeszar@suse.cz
- show processor description
- list members are shown not with index but with descprition inside,
  or with arrow
* Mon Jul 23 2001 - dmeszar@suse.cz
- added yast2-agent-probe to rpm 'requires' entry
* Fri May 11 2001 - kkaempf@suse.de
- use bzip2 for packaging
* Fri May 04 2001 - dmeszar@suse.cz
- abort button for stopping immediatelly, entries translation,
  close button instead of next/abort
- class_id, sub_class_id translated
* Tue Apr 24 2001 - dmeszar@suse.cz
- menuentry fixed, occasional division by zero fixed
* Thu Apr 05 2001 - dmeszar@suse.cz
- initial version
